﻿using System;

namespace SimpleCalculator
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Simple Calculator");
            Console.WriteLine("-----------------");

            // Ask the user to enter the first number
            Console.Write("Enter the first number: ");
            double num1;
            if (!double.TryParse(Console.ReadLine(), out num1))
            {
                Console.WriteLine("Invalid input. Please enter a valid number.");
                return;
            }

            // Ask the user to enter the second number
            Console.Write("Enter the second number: ");
            double num2;
            if (!double.TryParse(Console.ReadLine(), out num2))
            {
                Console.WriteLine("Invalid input. Please enter a valid number.");
                return;
            }

            // Ask the user to select an operator
            Console.WriteLine("Select an operator:");
            Console.WriteLine("1. Addition (+)");
            Console.WriteLine("2. Subtraction (-)");
            Console.WriteLine("3. Division (/)");
            Console.WriteLine("4. Multiplication (*)");
            Console.Write("Enter the operator (1/2/3/4): ");

            char operatorSymbol = Console.ReadKey().KeyChar;
            Console.WriteLine(); // Move to the next line after user input

            double result = 0;

            // Perform the operation based on the selected operator
            switch (operatorSymbol)
            {
                case '1':
                    result = num1 + num2;
                    Console.WriteLine($"Result: {num1} + {num2} = {result}");
                    break;
                case '2':
                    result = num1 - num2;
                    Console.WriteLine($"Result: {num1} - {num2} = {result}");
                    break;
                case '3':
                    if (num2 == 0)
                    {
                        Console.WriteLine("Error: Division by zero is not allowed.");
                        return;
                    }
                    result = num1 / num2;
                    Console.WriteLine($"Result: {num1} / {num2} = {result}");
                    break;
                case '4':
                    result = num1 * num2;
                    Console.WriteLine($"Result: {num1} * {num2} = {result}");
                    break;
                default:
                    Console.WriteLine("Invalid operator selection. Please choose 1, 2, 3, or 4.");
                    break;
            }

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }
}
